Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.tools
Class ScavengerHunt

    java.lang.Object
      mars.tools.ScavengerHunt

All Implemented Interfaces:
  Observer, MarsTool

    public class ScavengerHunt

extends Object
implements Observer, MarsTool

Demo of Mars tool capability. Ken Vollmar, 27 Oct 2006 KenVollmar@missouristate.edu This tool displays movements by a series of players in a game of ScavengerHunt. Players will read and write MIPS memory-mapped locations to move and regain energy. See accompanying documentation for memory-mapped addresses, rules of the game, etc.

Constructor Summary
`ScavengerHunt()`

Method Summary
`void` | `action()` Performs tool functions.
`String` | `getName()` Return a name you have chosen for this tool.
`void` | `update(Observable o, Object arg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScavengerHunt

    public ScavengerHunt()

Method Detail

### getName

    public String getName()

  Description copied from interface: `MarsTool`
  Return a name you have chosen for this tool. It will appear as the menu item.

  Specified by:
    `getName` in interface `MarsTool`

### action

    public void action()

  Description copied from interface: `MarsTool`
  Performs tool functions. It will be invoked when the tool is selected from the Tools menu.

  Specified by:
    `action` in interface `MarsTool`

### update

    public void update(Observable o,
                       Object arg)

  Specified by:
    `update` in interface `Observer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD